:root{
    --primary-color:#0F5132;
    --secondary-color:#FFB800;
    --white-color: #fff;
    --dark-color:#252525;
    --text-color:#666666;

    --primary-font:"Sora", sans-serif;
    --secondary-font:"Plus Jakarta Sans", sans-serif;
}

body{
    font-family: var(--primary-font) !important;
    font-size: 16px !important;
    color: var(--text-color) !important;
    background-color: #F5F5F5 !important;
    width: 100%;
    overflow-x: hidden;
}
.rounded-4{
    border-radius: 16px !important;
}
.top-header{
    background-color: var(--primary-color);
    padding: 10px 0;
}
.top-header .contact{
    display: flex;
    gap: 16px;
}
.top-header .contact .item{
    display: flex;
    align-items: center;
}
.top-header .contact a{
    text-decoration: none;
    color: var(--white-color);
    transition: .5s;
    font-size: 14px;
}
.top-header .contact a:hover{
    color: var(--secondary-color);
}
.top-header .contact i{
    position: relative;
    top: 2px;
}

.top-header .social{
    display: flex;
    gap: 12px;
    list-style: none;
    justify-content: end;
    margin-bottom: 0;
}
.top-header .social li a{
    text-decoration: none;
    color: var(--white-color);
    transition: .5s;
}
.top-header .social li a:hover{
    color: var(--secondary-color);
}

header{
    position: sticky;
    top: 0;
    z-index: 99;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
}
.navbar-brand img{
    width: 140px;
}
.navbar{
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
 
.btn{
    border-radius: 12px !important;
    padding: 10px 20px !important;
    font-weight: 600 !important;
}
.btn-primary{
    background-color: var(--secondary-color) !important;
    border-color: var(--secondary-color) !important;
    color: var(--dark-color) !important;
    transition: .5s;
}
.btn-primary:focus,
.btn-primary:focus-visible,
.btn-primary:focus-within{
    outline: none !important;
    box-shadow: none !important;
    border: none !important;
}
.btn-primary:hover{
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    color: var(--white-color) !important;
}
.btn-primary i{
    transition: .5s;
}
.btn-primary:hover i{
    margin-left: 16px !important;
}

.banner-section{ 
    background-position: bottom;
    height: 550px;
    display: flex;
    align-items: center;
    padding: 100px 0;
}
.banner-section.img1{
    background-image: url('../images/banner.webp');
}
.banner-section.img2{
    background-image: url('../images/banner2.webp');
}
.banner-section.img3{
    background-image: url('../images/banner3.webp');
}
.banner-section {
    position: relative;
    overflow: hidden;
}
.banner-main swiper-container::part(bullet-active) {
    background: var(--secondary-color) !important;
    width: 48px !important;
    height: 12px;
    border-radius: 99999px;
}
.banner-main swiper-container::part(bullet) {
    background: #99b3a7 !important;
    opacity: 1 !important;
}
.banner-main .mySwiper::part(pagination){
    text-align: center;
    bottom: 20px; 
}
swiper-container::part(button-next){
    background: url('../images/icons/arrow-small-right.svg') no-repeat center !important;
    background-size: 25px !important;
    transition: .5s;
}
swiper-container::part(button-prev){
    background: url('../images/icons/arrow-small-left.svg') no-repeat center !important;
    background-size: 25px !important;
    transition: .5s;
} 
 
swiper-container::part(button-prev),
swiper-container::part(button-next) {
    color: transparent; /* hides default arrow */
    width: 12px !important;
    height: 12px !important;
    padding: 18px !important;
    background-color: #ffffffa8 !important;
    border: 1px solid #ffffffa8 !important;
    border-radius: 50% !important;
    transition: .5s;
    cursor: pointer;
    z-index: 20 !important;
}
swiper-container::part(button-prev){
    left: 20px;
}
swiper-container::part(button-next){
    right: 20px;
}
swiper-container::part(button-prev):hover,
swiper-container::part(button-next):hover { 
    background-color: var(--white-color) !important; 
}
 

.banner-section::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;

    /* Green gradient from bottom to transparent top */
    background: linear-gradient(
        to top,
        rgba(15, 81, 50, 0.9) 0%,   /* strong at bottom */
        rgba(15, 81, 50, 0.6) 40%,  /* smooth fade */
        rgba(15, 81, 50, 0.3) 100%    /* transparent top */
    );
    pointer-events: none;
}

.banner-content{
    position: relative;
    z-index: 999;
}
.banner-section h1{
    font-size: 55px;
    color: var(--white-color);
    font-weight: 700;
    margin-bottom: 20px;
}
.banner-section h1 span{
    color: var(--secondary-color);
}
.banner-section p{
    font-size: 20px;
    color: var(--white-color);
    margin-bottom: 20px;
}
.default-padding{
    padding: 80px 0;
}

.section-title{
    margin-bottom: 30px;
}
.section-title h6{
    color: var(--primary-color);
    font-size: 14px;
    font-family: var(--secondary-font);
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    margin-bottom: 20px;
}
 

.section-title h6::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -12px; /* space below text */
    width: 100%;
    height: 3px;
    background-color: var(--secondary-color); /* your green */
}
.section-title h2{
    color: var(--dark-color);
    font-weight: 700;
    font-size: 45px;
}
 
.section-title h2 span{
    color: var(--primary-color);
}
.tertiary-btn{
    font-size: 16px;
    color: var(--primary-color);
    text-decoration: none;
    transition: .5s;
    font-weight:500;
}
.tertiary-btn i{
    transition: .5s;
}
.tertiary-btn:hover{
    color: var(--secondary-color);
}
.tertiary-btn:hover i{
    margin-left: 16px !important;
}
.about-img {
    width: 100%;
    aspect-ratio: 1 / 1; /* makes it a square */
    overflow: hidden;
    border-radius: 10px; /* optional */
}

.about-img img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* fills square without distortion */
}
.about-card{
    display: inline-flex;
    gap: 12px;
    border-radius: 12px;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
    padding: 16px; 
    align-items: center;
    position: absolute;
    margin-top: -79px;
    margin-left: -16px;
    background: #fff;
}
.about-card i{
    color: #fff;
    background-color: var(--secondary-color);
    padding: 8px;
    border-radius: 10px;
    width: 63px;
    height: 63px;
    font-size: 28px;
    display: flex;
    justify-content: center;
    align-items: center;

}
.about-card h5{
    color: var(--dark-color);
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 0 !important;
}
.about-card span{
    font-size: 14px;

}
 
.service-section .item{
    border-radius: 12px;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
    background-color: var(--white-color);
    height: 100%;
    transition: .5s; 
}
 
.service-section .item .img-card{
    border-radius: 12px 12px 0 0;
    overflow: hidden;
    position: relative;
    overflow: hidden;
}
.service-section .item .img-card img{
    width: 100%;
    height: 255px;
    object-fit: cover;
    
}
.service-section .item .img-card::after {
    content: "";
    position: absolute;
    inset: 0;

    /* Dark green overlay */
    background: rgba(15, 81, 50, 0.4);

    pointer-events: none;
    transition: .5s;
    
}
.service-section .item .img-card i{
    position: absolute;
    margin-top: 20px;
    margin-left:20px;
    font-size: 35px;
    padding: 10px;
    /* Blur effect */
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);

    /* Glass background */
    background: rgba(255, 255, 255, 0.15);
    color: var(--white-color);
    border: 1px solid var(--white-color);
    border-radius: 8px;
    width: 64px;
    height: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
}
.service-section .item:hover .img-card::after {
    background: rgba(15, 81, 50, 0.1);
}

.service-section .item .content-card{
    padding: 20px;
}
.service-section .item .content-card h3{
    font-size: 28px;
    font-weight: 700;
    color: var(--dark-color);
    margin-bottom: 12px;
}
.service-section .item .content-card p{ 
    margin-bottom: 12px;
}
 
.projects-section .item{
    width: 100%;
    height: 450px;
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}
.projects-section .item.small{
    width: 100%;
    height: 300px;
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}
.projects-section .item img{
    width: 100%;
    height: 450px;
    object-fit: cover;
    border-radius: 12px;
}
.projects-section .item.small img{
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 12px;
}
.projects-section .item .content{
    position: absolute;
    margin-top: -100px;
    margin-left:20px;
    z-index: 9;
    transition:.5s;
}
.projects-section .item:hover .content{
    margin-top: -120px;
}
.projects-section .item::after{
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to top,
        rgba(15, 81, 50, 0.9) 0%,   /* strong at bottom */
        rgba(15, 81, 50, 0.6) 40%,  /* smooth fade */
        rgba(15, 81, 50, 0.3) 100%    /* transparent top */
    );

    pointer-events: none;
}
.projects-section .item .content span{
    color: var(--dark-color);
    background-color: var(--secondary-color);
    border-radius: 20px;
    padding: 4px 12px; 
    font-size: 14px;
    font-weight: 500;
}
.projects-section .item .content h3{
    color: var(--white-color);
    font-size: 26px;
    margin-top: 12px;
}

.projects-btn{
    display: none;
    transition: 1.5s;
}
.projects-btn a{
    color: var(--secondary-color);
    text-decoration: none;
}
.projects-section .item:hover .projects-btn{
    display: block;
}

.counter-section{
    background: linear-gradient(to top, #1a7a4d, #0F5132);
}
.counter-section .item{
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;

}
.counter-section .item i{
    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    border-radius: 12px;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
}
.counter-section .item .icon1{
    background: linear-gradient(to bottom, #1a7a4d, #0F5132);
    color: var(--white-color);
}
.counter-section .item .icon2{
    background-color: var(--secondary-color);
    color: var(--dark-color);
}
.counter-section .item h3{
    font-size: 50px;
    font-weight: 700;
    color: var(--white-color);
    margin-bottom: 0;
}
.counter-section .item p{
    font-size: 18px;
    font-weight: 400;
    color: var(--white-color);
    margin-bottom: 0;
} 

.partners-section img{
    border-radius: 12px;
    margin-bottom: 60px;
}
.partners-section swiper-container::part(bullet-active) {
    background: var(--primary-color) !important;
    width: 48px !important;
    height: 12px;
    border-radius: 99999px;
}
.partners-section swiper-container::part(bullet) {
    background: #99b3a7 !important;
    opacity: 1 !important;
}
.partners-section .mySwiper::part(pagination){
    text-align: center;
    bottom: 20px; 
}

.features-section .item{
    background-color: var(--white-color);
    border-radius: 12px;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
    display: flex;
    align-items: center;
    gap: 16px;
    padding: 16px;
}
.features-section .item i{
    font-size: 24px;
    width: 56px;
    height: 56px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
}
.features-section .item .icon1{
    background: linear-gradient(to bottom, #1a7a4d, #0F5132);
    color: var(--white-color);
}
.features-section .item .icon2{
    background: var(--secondary-color);
    color: var(--dark-color);
}
.features-section .item .content h4{
    font-size: 16px;
    color: var(--dark-color);
    font-weight: 500;
    margin-bottom: 4px !important;
}
.features-section .item .content p{
    font-size: 14px; 
    font-weight: 400;
    margin-bottom: 0px;
}

footer{
    background: var(--primary-color);
    padding: 60px 0 0 0;
}

footer .item p{
    color: #ffffffc4;
    margin-top: 30px;
    margin-bottom: 20px;
    font-size: 15px;
}
footer .item .social{
    display: flex;
    list-style: none;
    padding-left: 0;
    gap: 20px;
}
footer .item .social li a{
    text-decoration: none;
}
footer .item .social li a i{
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ffffffc4;
    background-color: var(--primary-color);
    font-size: 18px;
    border-radius: 8px;
    transition: .5s;
}
footer .item .social li a i:hover{
    background-color: var(--secondary-color);
}

footer .item2 h3{
    font-size: 20px;
    font-weight: 600;
    color: var(--white-color);
    margin-bottom: 20px;
}
footer .item2 ul{
    list-style-type: none;
    padding-left: 0;
}
footer .item2 ul li{
    margin-bottom: 8px;
}
footer .item2 ul li a{
    text-decoration: none;
    color: #ffffffc4;
    font-size: 15px;
    transition: .5s;
}
footer .item2 ul li a:hover{
    color: var(--secondary-color);
    margin-left: 3px;
}

footer .item2 .address{
    margin-bottom: 20px;
}
footer .item2 .address h4{
    font-size: 16px;
    font-weight: 500;
    color: #fff;
    margin-bottom: 10px;
}
footer .item2 .address h5{
    font-size: 15px;
    font-weight: 500;
    color: #fff;
    margin-bottom: 6px;
}
footer .item2 .address p{
    font-size: 14px;
    color: #ffffffc4;
}
footer .item2 .contact{
    border-top: 1px solid #ffffff33;
    padding-top: 20px;
}
footer .item2 .contact a{
    color: #fff;
    text-decoration: none;
    transition: .5s;
}
footer .item2 .contact a:hover{
    color: var(--secondary-color);
}
footer .copyright{
    padding: 16px;
    text-align: center;
    border-top: 1px solid #ffffff33;
}
footer .copyright p{
    margin-bottom: 0;
    color: #ffffffc4;
    font-size: 14px;
}
footer .copyright p a{
    color: #fff;
    text-decoration: none;
}

